Unstop the specified card.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| reference | String | 1-255 characters | ✓ | The user defined reference to the card; for example a member id or wallet number |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, sequence number or tracking number of the specified card. Field is required but can accept empty string |
| note | String | 0-255 characters | ✓ | A note / reason about unstopping the card. Field is required but can accept empty string |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Client generated / local Transaction Date to assist in identifying transactions on the client side | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version=""1.0""?>
<methodCall>
<methodName>UnstopCard</methodName>
<params>
<param>
<value>
<string>0014682067</string>
</value>
</param>
<param>
<value>
<string>TTKTEST</string>
</value>
</param>
<param>
<value>
<string>5267264108771089</string>
</value>
</param>
<param>
<value>
<string>Testing UnstopCard</string>
</value>
</param>
<param>
<value>
<string>123456</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200327T00:00:00</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>97DD1ADD9BB6CBF025149C9069DFBD20884F0A62</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
<?xml version=""1.0"" encoding=""UTF-8""?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>